当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]令人费解的gcc编译环境,总是找不到所需头文件
帖子发表于 : 2008-05-26 17:15 
头像

注册: 2008-05-23 0:59
帖子: 48
地址: 中国上海
送出感谢: 0 次
接收感谢: 0 次
安装好ubuntu8.04后,第一件事就是配置c/c++编译环境,可是默认不带头文件库,于是按照论坛里的提示安装libc6-dev软件包,可是在新立得中提示:libc6-dev:
依赖: libc6 (=2.7-10ubuntu3) 但是将会安装 2.8~20080505-0ubuntu3
查看了一下我的系统果然已经安装了libc6 (2.8~20080505-0ubuntu3)这个版本,可是人家libc6-dev依赖的是 libc6 (=2.7-10ubuntu3),不认我的libc6 (2.8~20080505-0ubuntu3),于是我就打算卸掉libc6 (2.8~20080505-0ubuntu3)装回 libc6 (=2.7-10ubuntu3),但是直觉告诉我这是很危险的,会让我的ubuntu崩溃,所以我没那样作,到这里来向各位高手请教。
注:
我试过安装G++,还有build-essential都以失败告终,急啊,我要工作阿,不想用IDE,大家帮帮我吧!


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-26 17:32 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
1. 请确认你设置的源没问题。不确定的话请访问

http://wiki.ubuntu.org.cn/Source

2.安装基本编译环境,请参考

http://wiki.ubuntu.org.cn/Gcchowto

3.抽空看看下面:


_________________


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-26 17:53 
头像

注册: 2008-05-23 0:59
帖子: 48
地址: 中国上海
送出感谢: 0 次
接收感谢: 0 次
感谢你的回复,你确定完整看了我的问题?你说的我方法第一次就试了,要那么简单,我还用来这里提问?大家都会用搜索,不用你再说一遍!


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-26 17:58 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
kevinfrog 写道:
感谢你的回复,你确定完整看了我的问题?你说的我方法第一次就试了,要那么简单,我还用来这里提问?大家都会用搜索,不用你再说一遍!


确定完整看了回复? 第一步做了吗?

PS: hardy 的 libc 是2.7 的, LZ装了开发版了?..


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-26 18:01 
头像

注册: 2008-05-23 0:59
帖子: 48
地址: 中国上海
送出感谢: 0 次
接收感谢: 0 次
当然做了阿,装完系统第一件事就是配置源,很迷惑,还是不行啊


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-26 18:04 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
kevinfrog 写道:
当然做了阿,装完系统第一件事就是配置源,很迷惑,还是不行啊


确定源的版本对应, 而不是仅仅是复制粘贴
cat /etc/issue # 当前版本
cat /etc/apt/sources.list #源

看两个是不是对应


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-26 18:20 
头像

注册: 2008-05-23 0:59
帖子: 48
地址: 中国上海
送出感谢: 0 次
接收感谢: 0 次
root@ubuntu-laptop:/home/ubuntu# cat /etc/issue
Ubuntu 8.04 \n \l

root@ubuntu-laptop:/home/ubuntu# cat /etc/apt/sources.list
deb http://mirror.lupaworld.com/ubuntu hardy main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-security main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-updates main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-backports main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu hardy-proposed main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-security main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-updates main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-backports main restricted universe multiverse
deb-src http://mirror.lupaworld.com/ubuntu hardy-proposed main restricted universe multiverse

deb http://mirror.rootguide.org/ubuntu/ hardy main restricted universe multiverse
deb-src http://mirror.rootguide.org/ubuntu/ hardy main restricted universe multiverse
deb http://mirror.rootguide.org/ubuntu/ hardy-updates main restricted universe multiverse
deb-src http://mirror.rootguide.org/ubuntu/ hardy-updates main restricted universe multiverse
deb http://mirror.rootguide.org/ubuntu/ hardy-backports main restricted universe multiverse
deb-src http://mirror.rootguide.org/ubuntu/ hardy-backports main restricted universe multiverse
deb http://mirror.rootguide.org/ubuntu/ hardy-security main restricted universe multiverse
deb-src http://mirror.rootguide.org/ubuntu/ hardy-security main restricted universe multiverse
deb http://mirror.rootguide.org/ubuntu/ hardy-proposed main multiverse restricted universe
deb-src http://mirror.rootguide.org/ubuntu/ hardy-proposed main restricted universe multiverse

都是8.04的阿,两个服务器的平均ping分别是7ms和30ms,是最快得了,我该怎么办啊,
难道要我把所有c语言的头文件自己下载下来吗?再自己手动配置静态连接?


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-26 19:23 
头像

注册: 2007-05-06 8:19
帖子: 7433
送出感谢: 0 次
接收感谢: 4
感觉你应该再装一次,这次不要用livecd;

btw:RH的话,还可以强制安装rpm包的~~~


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-26 19:25 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
2.8 libc 你怎么装上去的 想想你这个月安装了什么?


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-26 19:32 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
或许这张图能说明问题!

设置源的时候一定要注意看准版本。 而楼主给出的这组源应该不是楼主一直使用的源,不然不应该会有这种情况发生


附件:
glibc.png
glibc.png [ 17.53 KiB | 被浏览 93 次 ]

页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-26 22:39 
头像

注册: 2008-05-23 0:59
帖子: 48
地址: 中国上海
送出感谢: 0 次
接收感谢: 0 次
谢谢大家的关注,问题已经解决,是这样的:
既然libc6-dev的依赖关系要求前一版本的libc6,索性强制更改现有libc6的版本到前一版本,重新应用后,回到较早版本,问题迎刃而解,看来,我们要尊重系统的选择,他给出的提示是最好的解决方案啊。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-06-01 23:23 

注册: 2007-03-05 16:57
帖子: 62
送出感谢: 0 次
接收感谢: 0 次
我看我的 8.04
引用:
$ apt-cache show libc6
Package: libc6
Priority: required
Section: base
Installed-Size: 11348
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Architecture: amd64
Source: glibc
Version: 2.7-10ubuntu3
Provides: glibc-2.7-1
Depends: libgcc1
Suggests: locales, glibc-doc
Conflicts: libterm-readline-gnu-perl (<< 1.15-2), tzdata (<< 2007k-1)
Filename: pool/main/g/glibc/libc6_2.7-10ubuntu3_amd64.deb
Size: 4754108
MD5sum: fe033464b288284d4031a3de64da4567
SHA1: 402ab2c33aa59af6a4802de6340dd32be2229dce
SHA256: 18dfd2ba99f95bae7778520afa1b4e86deff490aaa04d08da3e1b3100c999f45
Description: GNU C Library: Shared libraries
Contains the standard libraries that are used by nearly all programs on
the system. This package includes shared versions of the standard C library
and the standard math library, as well as many others.
Bugs: mailto:ubuntu-users@lists.ubuntu.com
Origin: Ubuntu
Task: minimal


应该楼主这样的问题不会再出现了吧……


_________________
Just an Ubuntu newbie.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译